#!/opt/local/bin/python 
import matplotlib
matplotlib.use('ps')
#matplotlib.use('PDF')
from pylab import *
import sys
import os
import glob
from subprocess import call
import shutil

# get command line argument
caseDirs=sys.argv[1]
caseDirs=caseDirs.split('-')

cases = {} 	# Create a dictionary that will contain a list under a key
			# for each set of variables

for caseDir in caseDirs: # '+nCorrector+' '+timeStep+' '+relaxationDir
	U=loadtxt(caseDir+"/sets/1/lineX_U_UA.xy")
	p=loadtxt(caseDir+"/sets/1/lineX_p_pA.xy")
	variables = caseDir.split('/')
	variableSet = ""
	for variable in variables:
		if 'mesh' in variable:
			mesh = variable
		else:
			variableSet += str(variable)
	
	# Create a list containing the gridSizes and U and p data 
	# [[mesh,U,p],[mesh,U,p],[mesh,U,p],[mesh,U,p]] from each case
	try:
		cases[variableSet].append([mesh,U,p])
	except KeyError:
		cases[variableSet]=[[mesh,U,p]]

keys = cases.keys()
#lineTypeList=['r-','r-.','r:','r--','b*-.','b:','H-','+--','x-.']
lineTypeList=['o-','^-.','>:','s-','*-.','h:','H-','+--','x-.']
for key in keys:
	curCase = cases[key]
	#curCase = cases['QUICKnCorrectors30timeStep0.01relaxationsU0.8p0.2']
	for i in range(len(curCase)):
		U=curCase[i][1];mesh=curCase[i][0]
		p=curCase[i][2]
		if '64' in mesh:
			Uan=U
			pan=p
		file = open(key+'-'+mesh+'_temp','w')
		for j in range(len(U)):
			file.write(str(U[j,0])+' '+str(U[j,2])+' '+str(p[j,0])+' '+str(float(p[j,1])-float(p[1,1]))+'\n')

		file.close()

# Write data according to the analytical solution
pan_file=open('p_an_temp','w')
Uan_file=open('U_an_temp','w')
for i in range(len(Uan)):
	Uan_file.write(str(Uan[i,0])+' '+str(Uan[i,5])+'\n')	
	pan_file.write(str(pan[i,0])+' '+str(pan[i,2])+'\n')
pan_file.close()
Uan_file.close()

	

