#!/usr/bin/env python
import sys, glob
from pylab import *
import os

def makeLegend(f,divScheme):

	fname = str(f)
	fname = fname.split('-')
	fname = fname[0]

	nC, deltaT, relax = fname.split(',')
	nC = nC.split('nC')
	nC = ", nC="+ nC[1]

	deltaT = deltaT.split('tS')
	deltaT = ", \n"+ r"$\Delta t=$" + deltaT[1]

	relax = relax.split('relaxationsU')
	relax = r"$\alpha_U=$" + relax[1]
	relax = relax.split('p0')
	relax = ", "+ relax[0] + ", " + r"$\alpha_p$=0" + relax[1]

	fname = "div(phi,U)="+divScheme + nC + deltaT + relax
	return fname

dirlist=glob.glob('*')
legendList=[]
lineTypeList=['o-','v--','^-.','>:','s-','p--','*-.','h:','H-','+--','x-.']
figure(figsize=(12,8))
for divScheme in dirlist:
	index=dirlist.index(divScheme)
	os.chdir(divScheme)
	fileList=glob.glob('*error*')
	for file in fileList:
		fname = makeLegend(file, divScheme)
		data=loadtxt(file)
		loglog(data[:,0],abs(data[:,1]),lineTypeList[index],markerfacecolor='none')
		legendList.append(fname)
		os.remove(file)
	os.chdir("..")

grid(color='k',which='minor',linestyle=':')
grid(color='k',which='major',linestyle='--')
legend(legendList,loc='upper left', bbox_to_anchor = (0.7, 1))
xlabel(r"$\frac{\Delta x}{\Delta x_{finest}}$",fontsize=16)
ylabel(r"$\frac{S-A}{U_{max}}$",fontsize=16)
xticks((1,2,4,8,20),('1','2','4','8',''))
ylim(1e-4,1e-1)
#title("Convergence of spatial and temporal error")
savefig("errorConvergence.eps",format='eps')
