#!/opt/local/bin/python 
import matplotlib
matplotlib.use('ps')
#matplotlib.use('PDF')
from pylab import *
import sys
import os
import glob

def makeTitle(file):
	# file = 'QUICKnCorrectors30timeStep0.05relaxationsU0.8p0.2-mesh8_temp'
	file=file.split('-')
	caseName=file[0] 

	divScheme, tail = caseName.split('nCorrectors')
	nC, tail = tail.split('timeStep')
	timeStep, tail = tail.split('relaxationsU')
	alphaU, alphap = tail.split('p')

	figTitle = "\n div(phi,U)="+divScheme + ", nC=" + nC +", "+ r"$\Delta t$=" +timeStep+'\n'
	figTitle += r"$\alpha_U$=" + alphaU + ", " + r"$\alpha_p$=" + alphap
	return caseName, figTitle


file = sys.argv[1]
caseName, figTitle = makeTitle(file) #caseName = 'QUICKnCorrectors30timeStep0.05relaxationsU0.8p0.2'
fileList=glob.glob('*'+caseName+'*'+'temp')
p_an = loadtxt('p_an_temp')
U_an=loadtxt('U_an_temp')
legendList=[]
figure(figsize=(8,8))
subplot(2,1,1)
for i in range(len(fileList)):
	data=loadtxt(fileList[i])
	plot(data[:,0],data[:,1])
	mesh=fileList[i].split('-'); mesh=mesh[1]
	mesh=mesh.split('_temp'); mesh=mesh[0]
	legendList.append(mesh)

plot(U_an[:,0],U_an[:,1],'k--',linewidth=2)
legendList.append('analytical') 
grid()
legend(legendList,loc='upper left')
xlabel("x coordinate")
ylabel("v-component of velocity")
title("Grid convergence for "+figTitle)

subplot(2,1,2)
for i in range(len(fileList)):
	data=loadtxt(fileList[i])
	plot(data[:,2],data[:,3])
	mesh=fileList[i].split('-'); mesh=mesh[1]
	mesh=mesh.split('_temp'); mesh=mesh[0]
	legendList.append(mesh)
plot(p_an[:,0],p_an[:,1],'k--',linewidth=2)
grid()
xlabel("x coordinate")
ylabel("pressure")
savefig('lines'+caseName+".eps",format='eps')

